Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.kaptcha.services
Class KaptchaModule

    java.lang.Object
      org.apache.tapestry5.kaptcha.services.KaptchaModule

    public class KaptchaModule

extends java.lang.Object

Defines core services for Kaptcha support.

Since:
  5.3

Constructor Summary
`KaptchaModule()`

Method Summary
`static void` | `bind(ServiceBinder binder)`
`static void` | `contributeDataTypeAnalyzer(OrderedConfiguration<DataTypeAnalyzer> configuration)`
`static void` | `factoryDefaults(MappedConfiguration<java.lang.String,java.lang.Object> configuration)`
`static void` | `provideDefaultBeanBlocks(Configuration<BeanBlockContribution> configuration)`
`static void` | `provideLibraryMapping(Configuration<LibraryMapping> configuration)`
`static void` | `provideLibraryMessages(OrderedConfiguration<Resource> configuration, Resource coreCatalog)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KaptchaModule

    public KaptchaModule()

Method Detail

### bind

    public static void bind(ServiceBinder binder)

### factoryDefaults

    @Contribute(value=SymbolProvider.class)
    @FactoryDefaults
    public static void factoryDefaults(MappedConfiguration<java.lang.String,java.lang.Object> configuration)

### provideLibraryMapping

    @Contribute(value=ComponentClassResolver.class)
    public static void provideLibraryMapping(Configuration<LibraryMapping> configuration)

### provideLibraryMessages

    @Contribute(value=ComponentMessagesSource.class)
    public static void provideLibraryMessages(OrderedConfiguration<Resource> configuration,
                                                                                           @Value(value="classpath:org/apache/tapestry5/kaptcha/tapestry-kaptcha.properties")
                                                                                           Resource coreCatalog)

### contributeDataTypeAnalyzer

    public static void contributeDataTypeAnalyzer(OrderedConfiguration<DataTypeAnalyzer> configuration)

### provideDefaultBeanBlocks

    @Contribute(value=BeanBlockSource.class)
    public static void provideDefaultBeanBlocks(Configuration<BeanBlockContribution> configuration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.